<?php

namespace App\Events;

use Illuminate\Queue\SerializesModels;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;

class SerahanPenilai implements ShouldBroadcast
{
  use Dispatchable, InteractsWithSockets, SerializesModels;

  public $kodcaw,$message;

  public function __construct($kodcaw,$message)
  {
      $this->kodcaw = $kodcaw;
      $this->message = $message;
  }

  public function broadcastOn()
  {
    return ['serahanpenilai-notify'];
  }

  public function broadcastAs()
  {
    return 'trigger-serahanpenilai';
  }
}